Sites & Organisation

Revenue Centres

A revenue centre is an accounting category against which revenues should be recorded.

get/shop/sites/{siteId}/revenue-centres

Get revenue centres for a site

getSiteRevenueCentres

Use this endpoint to retrieve a Site's revenue centres.

Path parameters

  • siteIduuidrequired

    The ID of the site

Responses

  • 200

    A list of all revenue centres for a Site.

  • 401

    The user is unauthenticated

  • 404

    The resource couldn't be found

post/shop/sites/{siteId}/revenue-centres

Create a new revenue centre for the site

createSiteRevenueCentre

Use this endpoint to create a new revenue centre for a Site.

Path parameters

  • siteIduuidrequired

    The ID of the site

Request body

  • keystringoptional

    The key for the revenue centre (an alias for its ID).

  • namestringrequired

    Display name of the revenue centre, shown in the admin UI and on financial reports. Revenue centres group sales for tax and accounting (e.g. Spa, Retail, Food & Beverage). 1-120 characters.

  • tax_percentnumberoptionalnullable

    The percentage of tax to be applied for this revenue centre.

  • tax_configuration_idmongo-idoptional

    Identifier of the tax configuration to apply to sales recorded against this revenue centre. The configuration controls the tax rate breakdown shown on receipts and reports; the configuration must belong to the same site.

Responses

  • 200

    The revenue centre was successfully created

  • 401

    The user is unauthenticated

  • 403

    The authenticated user does not have permission.

  • 404

    The resource couldn't be found

  • 422

    The request didn't pass validation

get/shop/sites/{siteId}/revenue-centres/{revenueCentreId}

Get a revenue centre

getSiteRevenueCentre

Use this endpoint to retrieve a single revenue centre.

Path parameters

Responses

  • 200

    Details of a single revenue centre.

  • 401

    The user is unauthenticated

  • 404

    The resource couldn't be found

put/shop/sites/{siteId}/revenue-centres/{revenueCentreId}

Update a revenue centre

updateSiteRevenueCentre

Use this endpoint to update a revenue centre for a Site.

Path parameters

Request body

  • keystringoptional

    The key for the revenue centre (an alias for its ID).

  • namestringoptional

    Display name of the revenue centre, shown in the admin UI and on financial reports. Revenue centres group sales for tax and accounting (e.g. Spa, Retail, Food & Beverage). 1-120 characters.

  • tax_percentnumberoptionalnullable

    The percentage of tax to be applied for this revenue centre.

  • tax_configuration_idmongo-idoptional

    Identifier of the tax configuration to apply to sales recorded against this revenue centre. The configuration controls the tax rate breakdown shown on receipts and reports; the configuration must belong to the same site.

Responses

  • 200

    Details of a single revenue centre.

  • 401

    The user is unauthenticated

  • 403

    The authenticated user does not have permission.

  • 404

    The resource couldn't be found

  • 422

    The request didn't pass validation

delete/shop/sites/{siteId}/revenue-centres/{revenueCentreId}

Delete a revenue centre

deleteSiteRevenueCentre

Use this endpoint to delete a revenue centre from a Site.

Path parameters

Responses

  • 204

    The revenue centre was successfully deleted

  • 401

    The user is unauthenticated

  • 403

    The authenticated user does not have permission.

  • 404

    The resource couldn't be found